List image metadata | Moov Documentation

List image metadata

List metadata for all images in the specified account.

GET

/accounts/{accountID}/images

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/images" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.images.list({
    accountID: "3a4ed2d9-03e1-4b0e-b45f-2a9ca72f8adb",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->images->list(
    accountID: '3a4ed2d9-03e1-4b0e-b45f-2a9ca72f8adb',
    skip: 60,
    count: 20
);

if ($response->imageMetadata !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListImageMetadataResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListImageMetadataResponse res = sdk.images().list()
                .accountID("3a4ed2d9-03e1-4b0e-b45f-2a9ca72f8adb")
                .skip(60L)
                .count(20L)
                .call();

if (res.imageMetadata().isPresent()) {
            System.out.println(res.imageMetadata().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.images.list(account_id="3a4ed2d9-03e1-4b0e-b45f-2a9ca72f8adb", skip=60, count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.images.list(account_id: '3a4ed2d9-03e1-4b0e-b45f-2a9ca72f8adb', skip: 60, count: 20)

unless res.image_metadata.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Images.ListAsync(
    accountID: "3a4ed2d9-03e1-4b0e-b45f-2a9ca72f8adb",
    skip: 60,
    count: 20
);

// handle response

Example

[\
  {\
    "imageID": "string",\
    "publicID": "string",\
    "altText": "string",\
    "link": "https://api.moov.io/images/qJRAaAwwF5hmfeAFdHjIb",\
    "createdOn": "2019-08-24T14:15:22Z",\
    "updatedOn": "2019-08-24T14:15:22Z",\
    "disabledOn": "2019-08-24T14:15:22Z"\
  }\
]

Response headers

A unique identifier used to trace requests.

Possible values:

v2026.07.00

Default: 20

Alternative text for the image.

Unique identifier for an image resource.

A public URL to access the image. An optional size={width}x{height} query parameter can be provided to resize the image.

The ID used to get an image with the public endpoint.

A unique identifier for an image, used in public image links.